package com.example.gmaptest;

import javax.servlet.annotation.WebServlet;

import com.vaadin.annotations.Theme;
import com.vaadin.annotations.VaadinServletConfiguration;
import com.vaadin.server.VaadinRequest;
import com.vaadin.server.VaadinServlet;
import com.vaadin.ui.Button;
import com.vaadin.ui.Button.ClickEvent;
import com.vaadin.ui.UI;
import com.vaadin.ui.VerticalLayout;

@SuppressWarnings("serial")
@Theme("gmaptest")
public class GmaptestUI extends UI {

    @WebServlet(value = "/*", asyncSupported = true)
    @VaadinServletConfiguration(productionMode = false, ui = GmaptestUI.class, widgetset = "com.example.gmaptest.widgetset.GmaptestWidgetset")
    public static class Servlet extends VaadinServlet {
    }

    @Override
    protected void init(VaadinRequest request) {
        VerticalLayout content = new VerticalLayout();
        content.setSizeFull();
        setContent(content);

        Button b = new Button("Open map window", new Button.ClickListener() {

            @Override
            public void buttonClick(ClickEvent event) {
                MapDataWindow w = new MapDataWindow(1, 1);
                addWindow(w);
            }
        });
        content.addComponent(b);
    }

}